#
# https://docs.spring.io/spring-boot/docs/current/reference/htmlsingle/#common-application-properties
#
#server configuration
server.address=0.0.0.0
server.port=8090

cxf.path=/rest

#kie server config
kieserver.serverId=business-application-service
kieserver.serverName=business-application-service
kieserver.location=http://localhost:8090/rest/server
#kieserver.controllers=


#kie server capabilities
kieserver.drools.enabled=true
kieserver.dmn.enabled=true
kieserver.jbpm.enabled=true
kieserver.jbpmui.enabled=true
kieserver.casemgmt.enabled=true



#jbpm configuration
jbpm.executor.enabled=false
#jbpm.executor.retries=5
#jbpm.executor.interval=3
#jbpm.executor.threadPoolSize=1
#jbpm.executor.timeUnit=SECONDS


#data source configuration
spring.datasource.username=sa
spring.datasource.password=sa
spring.datasource.url=jdbc:h2:./target/spring-boot-jbpm;MVCC=true
spring.datasource.driver-class-name=org.h2.Driver

#hibernate configuration
spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.H2Dialect
spring.jpa.properties.hibernate.show_sql=false
spring.jpa.properties.hibernate.hbm2ddl.auto=update
spring.jpa.hibernate.naming.physical-strategy=org.hibernate.boot.model.naming.PhysicalNamingStrategyStandardImpl

#transaction manager configuration
spring.jta.narayana.transaction-manager-id=1

#banner
spring.banner.location=classpath:banner.txt

# enable to use data base as storage
# jbpm.quartz.db=true

# quartz.datasource.name=quartz
# quartz.datasource.username=sa
# quartz.datasource.password=sa
# quartz.datasource.url=jdbc:h2:./target/spring-boot-jbpm;MVCC=true
# quartz.datasource.driver-class-name=org.h2.Driver

# # used to configure connection pool
# quartz.datasource.dbcp2.maxTotal=15

# # used to initialize quartz schema
# quartz.datasource.initialization=true
# spring.datasource.schema=classpath*:quartz_tables_h2.sql
# spring.datasource.initialization-mode=always

# spring.datasource.username=jbpm
# spring.datasource.password=jbpm
# spring.datasource.url=jdbc:mysql://localhost:3306/jbpm
# spring.datasource.driver-class-name=com.mysql.jdbc.jdbc2.optional.MysqlXADataSource

# #hibernate configuration
# spring.jpa.properties.hibernate.dialect=org.hibernate.dialect.MySQL5InnoDBDialect